// Code generated by MockGen. DO NOT EDIT.
// Source: builtins.go
//
// Generated by this command:
//
//	mockgen -typed -source builtins.go -destination builtins_mock_for_test.go -package flow
//

// Package flow is a generated GoMock package.
package flow

import (
	reflect "reflect"
	time "time"

	gomock "go.uber.org/mock/gomock"
)

// MockBuiltins is a mock of Builtins interface.
type MockBuiltins struct {
	ctrl     *gomock.Controller
	recorder *MockBuiltinsMockRecorder
	isgomock struct{}
}

// MockBuiltinsMockRecorder is the mock recorder for MockBuiltins.
type MockBuiltinsMockRecorder struct {
	mock *MockBuiltins
}

// NewMockBuiltins creates a new mock instance.
func NewMockBuiltins(ctrl *gomock.Controller) *MockBuiltins {
	mock := &MockBuiltins{ctrl: ctrl}
	mock.recorder = &MockBuiltinsMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockBuiltins) EXPECT() *MockBuiltinsMockRecorder {
	return m.recorder
}

// Now mocks base method.
func (m *MockBuiltins) Now() time.Time {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Now")
	ret0, _ := ret[0].(time.Time)
	return ret0
}

// Now indicates an expected call of Now.
func (mr *MockBuiltinsMockRecorder) Now() *MockBuiltinsNowCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Now", reflect.TypeOf((*MockBuiltins)(nil).Now))
	return &MockBuiltinsNowCall{Call: call}
}

// MockBuiltinsNowCall wrap *gomock.Call
type MockBuiltinsNowCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockBuiltinsNowCall) Return(arg0 time.Time) *MockBuiltinsNowCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockBuiltinsNowCall) Do(f func() time.Time) *MockBuiltinsNowCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockBuiltinsNowCall) DoAndReturn(f func() time.Time) *MockBuiltinsNowCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Print mocks base method.
func (m *MockBuiltins) Print(msg string) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "Print", msg)
}

// Print indicates an expected call of Print.
func (mr *MockBuiltinsMockRecorder) Print(msg any) *MockBuiltinsPrintCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Print", reflect.TypeOf((*MockBuiltins)(nil).Print), msg)
	return &MockBuiltinsPrintCall{Call: call}
}

// MockBuiltinsPrintCall wrap *gomock.Call
type MockBuiltinsPrintCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockBuiltinsPrintCall) Return() *MockBuiltinsPrintCall {
	c.Call = c.Call.Return()
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockBuiltinsPrintCall) Do(f func(string)) *MockBuiltinsPrintCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockBuiltinsPrintCall) DoAndReturn(f func(string)) *MockBuiltinsPrintCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}
